Subject: [Hubmib] RE: Historic confusion over Ethernet MIBs!

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 6 May 2002 14:01:42 +0300

I have copied the hubmib list to the thread, as I think the subject is of interest for the broad WG community.

My question to Bob and the IESG is why should an Applicability Statement RFC have more visibility than marking RFC 1643 as Historic? I do not mind to follow whatever is the IESG practice in such cases, but I agree with Bert that we should do both. 

Regards,

Dan

> -----Original Message-----
> From: Wijnen, Bert (Bert) [mailto:[email-masked]]
> Sent: Saturday, May 04, 2002 12:12 AM
> To: Bob Braden; [email-masked]; [email-masked]
> Cc: [email-masked]; Romascanu, Dan (Dan); [email-masked]
> Subject: RE: Historic confusion over Ethernet MIBs!
> 
> 
> >   *> 
> >   *> That's right.  Let me add two other things:
> >   *> 
> >   *> 1.) Some implementors have reportedly uses 1643 in lieu of 2665
> >   *> because 1643 it is at full standard while 2665 is at proposed.
> >   *> 
> >   *> 2.) The hubmib WG is getting ready to issue a new revision that
> >   *> will obsolete 2665 (the "RFC xxxx" referred to in the draft).
> >   *> It will also be at proposed because it adds new stuff to the
> >   *> MIB to support 10Gb/s Ethernet.
> >   *> 
> >   *> The main reason for sending 1643 to Historic is to signal to
> >   *> implementors that they should not use it and should use the
> >   *> most up-to-date document instead.
> > 
> > There is a concern that those vendors who do not pay enough 
> attention
> > to figure it out probably won't pay attention to the Historic
> > designation either.  A more effective approach might be to write a
> > short RFC that is an "Applicability Statement for Ethernet 
> MIBs", with
> > MUST, MUST NOT, SHOULD NOT, etc
> > 
> > Using Historic status in this manner in lieu of an AS is believed by
> > some of us to be a questionable concept, and is not the way we have
> > proceeded in the past.
> > 
> Bob, are you saying that the 1643 should not be reclassified Historic?
> I don't think I agree with that.
> 
> If you are saying that we should write an AS and in there explain
> the relationship of the various MIBs and also explain why 1643
> goes historic, that I can live with.
> 
> Bert
> > Bob Braden
> > 
> 
> >   *> 
> >   *> > Now.. would it help if we ask the authors to explain 
> > this in the
> >   *> > document that they want to publsih explaining why 1643 goes
> >   *> > to historic (in fact they may already do so.. but I need to
> >   *> > check).
> >   *> 
> >   *> The draft (which is intended to be published concurrently with
> >   *> the new "RFC xxxx" that obsoletes 2665) does say (in the 
> > abstract)
> >   *> that RFC 1643 is at Standard while "RFC xxxx" is at 
> Proposed but
> >   *> neglects to say that the other documents have been 
> obsoleted and
> >   *> it does not mention 2666 at all.  We can add that if you want.
> >   *> 
> >   *> On Friday, May 03, 2002 Bob Braden wrote:
> >   *> > Maybe they need to write a short Applicability 
> > Statement RFC that
> >   *> > straighens it all out?
> >   *> 
> >   *> I don't mind turning the draft into "Applicability 
> Statement for
> >   *> RFC 1643 to Historic" or something like that and adding more
> >   *> explanation.  However it would be helpful if you will be
> >   *> specific about what you want us to change.  Also, I'd like to
> >   *> request that suggestions be cc:'d to the hubmib working group
> >   *> mailing list ([email-masked]) since this is a WG work item.
> >   *> 
> >   *> Thanks
> >   *> 
> >   *> Mike
> >   *> 
> > 
> 

_______________________________________________
Hubmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hubmib

---

From: "C. M. Heard" <[email-masked]>
Date: Mon, 6 May 2002 09:22:33 -0700 (PDT)

>>>>> Dan Romascanu wrote:
Dan> I have copied the hubmib list to the thread, as I think the
Dan> subject is of interest for the broad WG community.

Agreed.

Dan> My question to Bob and the IESG is why should an Applicability
Dan> Statement RFC have more visibility than marking RFC 1643 as
Dan> Historic? I do not mind to follow whatever is the IESG practice
Dan> in such cases, but I agree with Bert that we should do both.

Actually there was a conscious attempt to follow precedent:
<draft-ietf-hubmib-1643-to-historic-00.txt> was modelled after
some recent RFCs requesting similar action to retire obsolete
specifications (RFCs 3109, 3166, and 3167) by reclassifying
them as Historic.

>>>>> Bob Braden wrote:
BB>[Mike Heard wrote:]
BB>   *> That's right.  Let me add two other things:
BB>   *> 
BB>   *> 1.) Some implementors have reportedly uses 1643 in lieu of 2665
BB>   *> because 1643 it is at full standard while 2665 is at proposed.
BB>   *> 
BB>   *> 2.) The hubmib WG is getting ready to issue a new revision that
BB>   *> will obsolete 2665 (the "RFC xxxx" referred to in the draft).
BB>   *> It will also be at proposed because it adds new stuff to the
BB>   *> MIB to support 10Gb/s Ethernet.
BB>   *> 
BB>   *> The main reason for sending 1643 to Historic is to signal to
BB>   *> implementors that they should not use it and should use the
BB>   *> most up-to-date document instead.
BB> 
BB> There is a concern that those vendors who do not pay enough attention
BB> to figure it out probably won't pay attention to the Historic
BB> designation either.  A more effective approach might be to write a
BB> short RFC that is an "Applicability Statement for Ethernet MIBs", with
BB> MUST, MUST NOT, SHOULD NOT, etc
BB> 
BB> Using Historic status in this manner in lieu of an AS is believed by
BB> some of us to be a questionable concept, and is not the way we have
BB> proceeded in the past.

>>>>> Bert Wijnen wrote:
BW> Bob, are you saying that the 1643 should not be reclassified Historic?
BW> I don't think I agree with that.
BW> 
BW> If you are saying that we should write an AS and in there explain
BW> the relationship of the various MIBs and also explain why 1643
BW> goes historic, that I can live with.

As I said before, I don't mind turning the draft into "Applicability
Statement for RFC 1643 to Historic Status" (along the lines of, say,
RFC 1923) but I think it should focus on RFC 1643 specifically and not
on Ethernet MIB RFCs in general.  The most recent Ethernet MIB draft
<draft-ietf-hubmib-etherif-mib-v3-01.txt>, now in WG last call, already
has very detailed applicability information in the form of its conformance
statements, the sections describing the relationship to other MIB modules,
and by the section describing the relationship to RFC 2666 and the
rationale for retiring the dot3StatsEtherChipSet object (which was
required in RFC 1643).  We certainly don't need to repeat all that stuff
in a separate AS document.  One thing we might want to do is to have
<draft-ietf-hubmib-etherif-mib-v3-01.txt> state (once it is published
as an RFC) that it obsoletes RFC 1643, and have the the rfc-index document
say the same thing.

Mike

---

From: "C. M. Heard" <[email-masked]>
Date: Mon, 6 May 2002 09:22:33 -0700 (PDT)

Agreed.

BB>[Mike Heard wrote:]

Mike